function env=environment(varargin)
% FUNCTION env=fc_hypermesh.environment()
%   Retrieves the toolbox/package environment directories.
%
% <COPYRIGHT>

  [conffile,isFileExists]=fc_hypermesh.getLocalConfFile();
  if ~isFileExists
    fprintf('Try to use default parameters!\n Use fc_hypermesh.configure to configure.')
    fc_hypermesh.configure();
  end
  run(conffile);
  env.fc_tools_dir=fc_tools_dir;
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
